MacDrawProParserInternal::State Struct Reference documentation

MacDrawProParserInternal::State Struct Reference

Internal: the state of a MacDrawProParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
bool | m_isStationery
| flag to know if the file is a stationery document
int | m_numPages
| the final number of pages
int | m_actualLayer
| the actual layer
int | m_numLayers
| the number of layer
int | m_numHiddenLayers
| the number of hidden layer
int | m_numVisibleLayers
| the number of visible layer
bool | m_createMasterPage
| flag to know if we need or not to create a master
bool | m_sendAsLibraries
| flag to know if we create a page by library or not
int | m_numLibraries
| the number of library
int | m_numShapes
| the total number of shapes
long | m_sizeStyleZones [6]
| the size of the header zones
long | m_sizeLayerZones [2]
| the size of the layer zones
long | m_sizeLibraryZones [2]
| the size of the library zones(checkme)
long | m_sizeFZones [4]
| the size of the zoneF
std::vector< Library > | m_libraryList
| the library list
std::vector< Layer > | m_layerList
| the layer list
std::vector< MWAWEntry > | m_objectDataList
| the list of entries which stores the object's data
std::vector< MWAWEntry > | m_objectTextList
| the list of entries which stores the object's text
std::vector< Shape > | m_shapeList
| the shape list

## Detailed Description

Internal: the state of a MacDrawProParser.

## Constructor & Destructor Documentation

## ◆ State()

MacDrawProParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualLayer

int MacDrawProParserInternal::State::m_actualLayer

the actual layer

Referenced by State().

## ◆ m_createMasterPage

bool MacDrawProParserInternal::State::m_createMasterPage

flag to know if we need or not to create a master

Referenced by State().

## ◆ m_isStationery

bool MacDrawProParserInternal::State::m_isStationery

flag to know if the file is a stationery document

Referenced by State().

## ◆ m_layerList

std::vector<Layer> MacDrawProParserInternal::State::m_layerList

the layer list

Referenced by State().

## ◆ m_libraryList

std::vector<Library> MacDrawProParserInternal::State::m_libraryList

the library list

Referenced by State().

## ◆ m_numHiddenLayers

int MacDrawProParserInternal::State::m_numHiddenLayers

the number of hidden layer

Referenced by State().

## ◆ m_numLayers

int MacDrawProParserInternal::State::m_numLayers

the number of layer

Referenced by State().

## ◆ m_numLibraries

int MacDrawProParserInternal::State::m_numLibraries

the number of library

Referenced by State().

## ◆ m_numPages

int MacDrawProParserInternal::State::m_numPages

the final number of pages

Referenced by State().

## ◆ m_numShapes

int MacDrawProParserInternal::State::m_numShapes

the total number of shapes

Referenced by State().

## ◆ m_numVisibleLayers

int MacDrawProParserInternal::State::m_numVisibleLayers

the number of visible layer

Referenced by State().

## ◆ m_objectDataList

std::vector<MWAWEntry> MacDrawProParserInternal::State::m_objectDataList

the list of entries which stores the object's data

Referenced by State().

## ◆ m_objectTextList

std::vector<MWAWEntry> MacDrawProParserInternal::State::m_objectTextList

the list of entries which stores the object's text

Referenced by State().

## ◆ m_sendAsLibraries

bool MacDrawProParserInternal::State::m_sendAsLibraries

flag to know if we create a page by library or not

Referenced by State().

## ◆ m_shapeList

std::vector<Shape> MacDrawProParserInternal::State::m_shapeList

the shape list

Referenced by State().

## ◆ m_sizeFZones

long MacDrawProParserInternal::State::m_sizeFZones[4]

the size of the zoneF

Referenced by State().

## ◆ m_sizeLayerZones

long MacDrawProParserInternal::State::m_sizeLayerZones[2]

the size of the layer zones

Referenced by State().

## ◆ m_sizeLibraryZones

long MacDrawProParserInternal::State::m_sizeLibraryZones[2]

the size of the library zones(checkme)

Referenced by State().

## ◆ m_sizeStyleZones

long MacDrawProParserInternal::State::m_sizeStyleZones[6]

the size of the header zones

Referenced by State().

## ◆ m_version

int MacDrawProParserInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx